function kern = rbfKernParamInit(kern)

% RBFKERNPARAMINIT RBF kernel parameter initialisation.
%
% kern = rbfKernParamInit(kern)
%

% Copyright (c) 2006 Neil D. Lawrence and Nathaniel J. King
% rbfKernParamInit.m version 1.3



kern.inverseWidth = 1;
kern.variance = 1;
kern.nParams = 2;

kern.transforms.index = [1 2];
kern.transforms.type = 'negLogLogit';
