function k = biasKernCompute(kern, x, x2)

% BIASKERNCOMPUTE Compute the bias kernel given the parameters and X.
%
% k = biasKernCompute(kern, x, x2)
%

% Copyright (c) 2006 Neil D. Lawrence and Nathaniel J. King
% biasKernCompute.m version 1.3



if nargin< 3
  k = repmat(kern.variance, size(x, 1), size(x, 1));
else
  k = repmat(kern.variance, size(x, 1), size(x2, 1));
end